Bug 184 - RedHat 5.2 makes laptop font slightly unreadable
Summary: RedHat 5.2 makes laptop font slightly unreadable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-24 15:29 UTC by Michael Meissner
Modified: 2022-07-08 17:15 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-05 17:35:00 UTC


Attachments (Terms of Use)

Description Michael Meissner 1998-11-24 15:29:37 UTC
I have a Toshiba 420CDT laptop (40 meg of memory, 2 gig
disk, 100 Mhz Pentium, 800x600 screen).  It was running
RedHat 5.1 just fine.  I upgraded to 5.2, and immediately
after fsck'ing the disks, something changes in the font
used that makes it less clear.  I'm not sure I can explain
it, except that it looks like when the 640x480 mode is
displayed at 800x600, or when a computer tries to make a
bold font by overlaying the font at one pixel difference.
This happens whether I use the normal boot, or boot into
single user mode.  It also happens when I build a custom
kernel, or even boot 2.1.129.  This did not happen in
RedHat 5.1.

Comment 1 Michael Meissner 1998-11-27 00:05:59 UTC
I debugged it further, and I believe that if /etc/sysconfig/i18n is
not defined (ie, the user has not chosen a default font), then in the
script /etc/rc.d/rc.sysinit, /sbin/setfont should not be called.  Thus
whatever font is loaded by the bios will still be used, rather than
always using default8x16.gz as the font.  Also, as a side note, the
call to setfont should really be traced to the op console like just
about everything else is during the boot process.

Comment 2 Bill Nottingham 1999-02-05 17:35:59 UTC
In the latest initscripts release (3.84), setsysfont is
called only if a particular font is set in /etc/sysconfig/i18n.

Comment 3 Mike McCune 2022-07-08 17:15:31 UTC
Upon review of our valid but aging backlog the Satellite Team has concluded that this Bugzilla does not meet the criteria for a resolution in the near term, and are planning to close in a month. This message may be a repeat of a previous update and the bug is again being considered to be closed. If you have any concerns about this, please contact your Red Hat Account team.  Thank you.


Note You need to log in before you can comment on or make changes to this bug.